mod expr;
mod expr_default_impl;
mod fold;
mod utils;

#[proc_macro_derive(Expr)]
pub fn expr_macro_public(item: proc_macro::TokenStream) -> proc_macro::TokenStream {
    expr::expr_macro_derive(item.into()).into()
}
